# Copyright (c) 2000-2007, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define gcj_support %{?_with_gcj_support:1}%{!?_with_gcj_support:%{?_without_gcj_support:0}%{!?_without_gcj_support:%{?_gcj_support:%{_gcj_support}}%{!?_gcj_support:0}}}

# If you don't want to build with maven, and use straight ant instead,
# give rpmbuild option '--without maven'

%define with_maven %{!?_without_maven:1}%{?_without_maven:0}
%define without_maven %{?_without_maven:1}%{!?_without_maven:0}


%define section     free
%define repo_dir    .m2/repository

%define namedversion 1.0-alpha-15
%define maven_settings_file %{_builddir}/%{name}-%{namedversion}/settings.xml

Name:           modello
Version:        1.0
Release:        0.a15.1jpp
Epoch:          0
Summary:        Modello Data Model toolkit
License:        Open Source
Group:          Development/Java
Vendor:         JPackage Project
Distribution:   JPackage
URL:            http://modello.codehaus.org/
Source0:        %{name}-%{namedversion}-src.tar.gz
# svn export svn://svn.modello.codehaus.org/modello/tags/modello-1.0-alpha-15

Source1:        modello.script

Source2:        %{name}-jpp-depmap.xml
Source3:        %{name}-core-build.xml
Source4:        %{name}-db-keywords-build.xml
Source5:        %{name}-plugin-converters-build.xml
Source6:        %{name}-plugin-dom4j-build.xml
Source7:        %{name}-plugin-hibernate-store-build.xml
Source8:        %{name}-plugin-jdbc-build.xml
Source9:        %{name}-plugin-jdom-build.xml
Source10:       %{name}-plugin-jpox-build.xml
Source11:       %{name}-plugin-ojb-build.xml
Source12:       %{name}-plugin-stash-build.xml
Source13:       %{name}-plugin-stax-build.xml
Source14:       %{name}-plugin-store-build.xml
Source15:       %{name}-plugin-velocity-build.xml
Source16:       %{name}-plugin-xdoc-build.xml
Source17:       %{name}-plugin-xml-build.xml
Source18:       %{name}-plugin-xpp3-build.xml
Source19:       %{name}-plugin-xsd-build.xml
Source20:       %{name}-test-build.xml

Patch0:         modello-plugins-pom_xml.patch
Patch1:         modello-plugin-jpox-pom_xml.patch
#Patch0:                 modello-hibernateold-artifactid-fix.patch
Patch2:         modello-plugin-jpox-JPoxJdoMappingModelloGeneratorPrefixedTest.patch
Patch3:         modello-plugin-jpox-JPoxJdoMappingModelloGeneratorTest.patch
Patch4:         modello-plugin-stax-StaxVerifierParts.patch
Patch5:         modello-plugin-stax-StaxVerifierVersionInField.patch
Patch6:         modello-plugin-stax-StaxVerifierVersionInNamespace.patch
Patch7:         modello-plugin-stax-StaxVerifierVersionReaderDelegate.patch
Patch8:         modello-plugin-stax-StaxVerifierWrongVersionNamespace.patch
Patch9:         modello-plugin-stax-StaxVerifierWrongVersion.patch
Patch10:        modello-plugin-converters-ConvertersVerifier.patch
Patch11:        modello-plugin-xpp3-Xpp3Verifier.patch
Patch12:        modello-maven-plugin-pom_xml.patch
Patch13:        modello-build-all-plugins.patch
# the following patch is required for plexus-container-default = 1.0-alpha-8
Patch14:        modello-old-plexus-container.patch
Patch15:        modello-ObjStateFactoryModelloGenerator.patch
Patch16:        modello-LdapSchemaModelloGenerator.patch
Patch17:        modello-LdapSchemaGeneratorTest.patch
Patch18:        modello-site_xml.patch


%if %{gcj_support}
BuildRequires:          java-gcj-compat-devel
Requires(post):         java-gcj-compat
Requires(postun):       java-gcj-compat
%endif
%if ! %{gcj_support}
BuildArch:      noarch
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:  ant >= 0:1.6
BuildRequires:  jpackage-utils >= 0:1.7.2
%if %{with_maven}
BuildRequires:  maven2 >= 2.0.4
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-javadoc
BuildRequires:  maven2-plugin-release
BuildRequires:  maven2-plugin-resources
BuildRequires:  maven2-plugin-surefire
BuildRequires:  maven2-default-skin
%endif
BuildRequires:  apache-jdo-2.0-api
BuildRequires:  bcel
BuildRequires:  bea-stax
BuildRequires:  bea-stax-api
BuildRequires:  classworlds >= 0:1.1
BuildRequires:  derby
BuildRequires:  dtdparser
BuildRequires:  jaxen
BuildRequires:  jetty5
BuildRequires:  jpox-core >= 0:1.1.1
BuildRequires:  jpox-enhancer >= 0:1.1.1
BuildRequires:  log4j
BuildRequires:  plexus-container-default < 0:1.0-0.a9
BuildRequires:  plexus-utils
BuildRequires:  plexus-velocity
BuildRequires:  servletapi5
BuildRequires:  stax-utils
BuildRequires:  velocity
BuildRequires:  wstx

Requires:       bea-stax
Requires:       bea-stax-api
Requires:       classworlds >= 0:1.1
Requires:       dtdparser
Requires:       jaxen
Requires:       jpox-core
Requires:       jpox-enhancer
Requires:       log4j
Requires:       plexus-container-default < 0:1.0-0.a9
Requires:       plexus-utils
Requires:       plexus-velocity
Requires:       stax-utils
Requires:       velocity
Requires:       wstx

Requires(post):    jpackage-utils >= 0:1.7.2
Requires(postun):  jpackage-utils >= 0:1.7.2

Provides:       modello-maven-plugin
Obsoletes:      modello-maven-plugin < 0:1.0-0.a8.3jpp

%description
Modello is a Data Model toolkit in use by the Maven 2 Project.
What it does.
It all starts with the DataModel.
Once a DataModel is defined, the toolkit can be used to 
generate any of the following at compile time.
* Java Pojos of the DataModel. 
* Java Pojos to XML Writer. (provided via xpp3, stax, jdom 
  or dom4j) 
* XML to Java Pojos Reader. (provided via xpp3, stax or 
  dom4j) 
* XDOC documentation of the DataModel. 
* XML Schema to validate the DataModel. 
* Java Model to Prevayler Store (actually this plugin is in
  the sandbox). 
* Java Model to JPOX Store. 
* Java Model to JPOX Mapping. 

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation
Requires(post):   /bin/rm,/bin/ln
Requires(postun): /bin/rm

%description javadoc
%{summary}.

%if %{with_maven}
%package manual
Summary:        Documents for %{name}
Group:          Development/Documentation
Requires(post):   /bin/rm,/bin/ln
Requires(postun): /bin/rm

%description manual
%{summary}.
%endif

%prep
%setup -q -n %{name}-%{namedversion}
%patch0 -b .sav
%patch1 -b .sav
%patch2 -b .sav
%patch3 -b .sav
%patch4 -b .sav
%patch5 -b .sav
%patch6 -b .sav
%patch7 -b .sav
%patch8 -b .sav
%patch9 -b .sav
%patch10 -b .sav
%patch11 -b .sav
%patch12 -b .sav
%patch13 -b .sav
%patch14 -b .sav
%patch15 -b .sav
%patch16 -b .sav
%patch17 -b .sav
%patch18 -b .sav

cp %{SOURCE3} modello-core/build.xml
cp %{SOURCE4} modello-db-keywords/build.xml
cp %{SOURCE5} modello-plugins/modello-plugin-converters/build.xml
cp %{SOURCE6} modello-plugins/modello-plugin-dom4j/build.xml
cp %{SOURCE7} modello-plugins-sandbox/modello-plugin-hibernate-store/build.xml
cp %{SOURCE8} modello-plugins-sandbox/modello-plugin-jdbc/build.xml
cp %{SOURCE9} modello-plugins/modello-plugin-jdom/build.xml
cp %{SOURCE10} modello-plugins/modello-plugin-jpox/build.xml
cp %{SOURCE11} modello-plugins-sandbox/modello-plugin-ojb/build.xml
cp %{SOURCE12} modello-plugins-sandbox/modello-plugin-stash/build.xml
cp %{SOURCE13} modello-plugins/modello-plugin-stax/build.xml
cp %{SOURCE14} modello-plugins/modello-plugin-store/build.xml
cp %{SOURCE15} modello-plugins-sandbox/modello-plugin-velocity/build.xml
cp %{SOURCE16} modello-plugins/modello-plugin-xdoc/build.xml
cp %{SOURCE17} modello-plugins/modello-plugin-xml/build.xml
cp %{SOURCE18} modello-plugins/modello-plugin-xpp3/build.xml
cp %{SOURCE19} modello-plugins/modello-plugin-xsd/build.xml
cp %{SOURCE20} modello-test/build.xml

find . -name release-pom.xml -exec rm -f '{}' \;

for i in modello-plugins-sandbox/modello-plugin-ldap/src/test/java/org/codehaus/modello/plugin/ldap/ObjStateFactoryModelloGeneratorTest.java \
    modello-plugins-sandbox/modello-plugin-ldap/src/test/java/org/codehaus/modello/plugin/ldap/LdapSchemaGeneratorTest.java \
    modello-plugins-sandbox/modello-plugin-ojb/src/test/java/org/codehaus/modello/plugin/ojb/OjbModelloGeneratorTest.java \
    modello-plugins-sandbox/modello-plugin-stash/src/test/java/org/codehaus/modello/plugin/stash/StashModelloGeneratorTest.java \
    modello-plugins-sandbox/modello-plugin-hibernate-store/src/test/java/org/codehaus/modello/plugin/hibernate/HibernateModelloGeneratorTest.java; do
        sed -i -e s:org.codehaus.modello.ModelloGeneratorTest:org.codehaus.modello.AbstractModelloGeneratorTest:g $i
        sed -i -e s:"extends ModelloGeneratorTest":"extends AbstractModelloGeneratorTest":g $i
done


%build
%if %{with_maven}
export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mkdir -p $MAVEN_REPO_LOCAL

mvn-jpp \
        -e \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -Dmaven2.jpp.depmap.file=%{SOURCE2} \
        install javadoc:javadoc

pushd modello-site
mvn-jpp \
        -e \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -Dmaven2.jpp.depmap.file=%{SOURCE2} \
        site
popd

%else
pushd modello-core
rm -rf src/test/java/*
export CLASSPATH=$(build-classpath plexus/container-default plexus/utils)
ant -Dbuild.sysclasspath=only jar javadoc
popd

pushd modello-plugins/modello-plugin-xml
export CLASSPATH=$(build-classpath classworlds plexus/container-default plexus/utils)
CLASSPATH=$CLASSPATH:../../modello-core/target/modello-core-%{namedversion}.jar
CLASSPATH=$CLASSPATH:target/classes:target/test-classes
ant -Dbuild.sysclasspath=only jar javadoc
popd

pushd modello-plugins/modello-plugin-jdom
export CLASSPATH=$(build-classpath plexus/container-default)
CLASSPATH=$CLASSPATH:../../modello-core/target/modello-core-%{namedversion}.jar
CLASSPATH=$CLASSPATH:../modello-plugin-xml/target/modello-plugin-xml-%{namedversion}.jar
ant -Dbuild.sysclasspath=only jar javadoc
popd

pushd modello-plugins/modello-plugin-xdoc
rm -rf src/test/java/*
export CLASSPATH=$(build-classpath plexus/container-default plexus/utils)
CLASSPATH=$CLASSPATH:../../modello-core/target/modello-core-%{namedversion}.jar
CLASSPATH=$CLASSPATH:../modello-plugin-xml/target/modello-plugin-xml-%{namedversion}.jar
ant -Dbuild.sysclasspath=only jar javadoc
popd

pushd modello-plugins/modello-plugin-store
rm -rf src/test/java/*
export CLASSPATH=$(build-classpath plexus/container-default plexus/utils plexus/velocity velocity)
CLASSPATH=$CLASSPATH:../../modello-core/target/modello-core-%{namedversion}.jar
ant -Dbuild.sysclasspath=only jar javadoc
popd

pushd modello-plugins/modello-plugin-stax
rm -rf src/test/java/*
export CLASSPATH=$(build-classpath plexus/container-default plexus/utils)
CLASSPATH=$CLASSPATH:../../modello-core/target/modello-core-%{namedversion}.jar
CLASSPATH=$CLASSPATH:../modello-plugin-xml/target/modello-plugin-xml-%{namedversion}.jar
ant -Dbuild.sysclasspath=only jar javadoc
popd

pushd modello-plugins/modello-plugin-xsd
rm -rf src/test/java/*
export CLASSPATH=$(build-classpath plexus/container-default plexus/utils)
CLASSPATH=$CLASSPATH:../../modello-core/target/modello-core-%{namedversion}.jar
ant -Dbuild.sysclasspath=only jar javadoc
popd

pushd modello-plugins/modello-plugin-converters
rm -rf src/test/java/*
export CLASSPATH=$(build-classpath plexus/container-default plexus/utils)
CLASSPATH=$CLASSPATH:../../modello-core/target/modello-core-%{namedversion}.jar
ant -Dbuild.sysclasspath=only jar javadoc
popd

pushd modello-db-keywords
export CLASSPATH=$(build-classpath classworlds plexus/container-default plexus/utils)
CLASSPATH=$CLASSPATH:target/classes:target/test-classes
ant -Dbuild.sysclasspath=only jar javadoc
popd

pushd modello-plugins/modello-plugin-jpox
rm -rf src/test/java/*
export CLASSPATH=$(build-classpath plexus/container-default plexus/utils velocity)
CLASSPATH=$CLASSPATH:../../modello-core/target/modello-core-%{namedversion}.jar
CLASSPATH=$CLASSPATH:../../modello-db-keywords/target/modello-db-keywords-%{namedversion}.jar
CLASSPATH=$CLASSPATH:../modello-plugin-store/target/modello-plugin-store-%{namedversion}.jar
ant -Dbuild.sysclasspath=only jar javadoc
popd

pushd modello-plugins/modello-plugin-xpp3
rm -rf src/test/java/*
export CLASSPATH=$(build-classpath plexus/container-default)
CLASSPATH=$CLASSPATH:../../modello-core/target/modello-core-%{namedversion}.jar
CLASSPATH=$CLASSPATH:../modello-plugin-xml/target/modello-plugin-xml-%{namedversion}.jar
ant -Dbuild.sysclasspath=only jar javadoc
popd

pushd modello-plugins/modello-plugin-dom4j
rm -rf src/test/java/*
export CLASSPATH=$(build-classpath plexus/container-default)
CLASSPATH=$CLASSPATH:../../modello-core/target/modello-core-%{namedversion}.jar
CLASSPATH=$CLASSPATH:../modello-plugin-xml/target/modello-plugin-xml-%{namedversion}.jar
ant -Dbuild.sysclasspath=only jar javadoc
popd

pushd modello-plugins-sandbox/modello-plugin-ojb
rm -rf src/test/java/*
export CLASSPATH=$(build-classpath plexus/container-default plexus/velocity velocity)
CLASSPATH=$CLASSPATH:../../modello-core/target/modello-core-%{namedversion}.jar
CLASSPATH=$CLASSPATH:../../modello-plugins/modello-plugin-store/target/modello-plugin-store-%{namedversion}.jar
ant -Dbuild.sysclasspath=only jar javadoc
popd

pushd modello-plugins-sandbox/modello-plugin-jdbc
rm -rf src/test/java/*
export CLASSPATH=$(build-classpath plexus/container-default velocity)
CLASSPATH=$CLASSPATH:../../modello-core/target/modello-core-%{namedversion}.jar
CLASSPATH=$CLASSPATH:../../modello-plugins/modello-plugin-store/target/modello-plugin-store-%{namedversion}.jar
ant -Dbuild.sysclasspath=only jar javadoc
popd

pushd modello-plugins-sandbox/modello-plugin-velocity
rm -rf src/test/java/*
export CLASSPATH=$(build-classpath plexus/container-default plexus/velocity velocity)
CLASSPATH=$CLASSPATH:../../modello-core/target/modello-core-%{namedversion}.jar
ant -Dbuild.sysclasspath=only jar javadoc
popd

pushd modello-plugins-sandbox/modello-plugin-hibernate-store
rm -rf src/test/java/*
export CLASSPATH=$(build-classpath plexus/container-default plexus/velocity velocity)
CLASSPATH=$CLASSPATH:../../modello-core/target/modello-core-%{namedversion}.jar
CLASSPATH=$CLASSPATH:../../modello-plugins/modello-plugin-store/target/modello-plugin-store-%{namedversion}.jar
ant -Dbuild.sysclasspath=only jar javadoc
popd

pushd modello-plugins-sandbox/modello-plugin-stash
rm -rf src/test/java/*
export CLASSPATH=$(build-classpath plexus/container-default plexus/velocity velocity)
CLASSPATH=$CLASSPATH:../../modello-core/target/modello-core-%{namedversion}.jar
ant -Dbuild.sysclasspath=only jar javadoc
popd

%endif

%install
rm -rf $RPM_BUILD_ROOT

# poms
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms
for i in `find . -name pom.xml | grep -v \\\./pom.xml`; do
    cp $i $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.`basename \`dirname $i\``.pom
done

# Depmap fragments
for i in `find . -name pom.xml | grep -v \\\./pom.xml | grep -v modello-plugins-sandbox`; do
    # i is in format ..../artifactid/pom.xml
    artifactname=`basename \`dirname $i\` | sed -e s:^modello-::g`

    %add_to_maven_depmap org.codehaus.modello modello-$artifactname %{namedversion} JPP/%{name} $artifactname
done

# sandbox plugins are a different version
for i in `find . -name pom.xml | grep modello-plugins-sandbox`; do
    # i is in format ..../artifactid/pom.xml
    artifactname=`basename \`dirname $i\` | sed -e s:^modello-::g`

    %add_to_maven_depmap org.codehaus.modello modello-$artifactname %{namedversion} JPP/%{name} $artifactname
done

cp pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.modello-modello.pom
%add_to_maven_depmap org.codehaus.modello modello %{namedversion} JPP/%{name} modello

# script
install -d -m 755 $RPM_BUILD_ROOT%{_bindir}
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/%{name}

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
for jar in $(find -type f -name "*.jar" | grep -E target/.*.jar); do
    install -m 644 $jar $RPM_BUILD_ROOT%{_javadir}/%{name}/`basename $jar | sed -e s:modello-::g`
done

(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{namedversion}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{namedversion}||g"`; done)

# Do it again for sandbox plugins, which have a different version
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-1.0-alpha-4-SNAPSHOT*; do ln -sf ${jar} `echo $jar| sed  "s|-1.0-alpha-4-SNAPSHOT||g"`; done)

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
for target in $(find . -type d -name target); do
  if [ -d $target/site/apidocs ]; then
    install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/`basename \`dirname $target\` | sed -e s:modello-::g`
    cp -pr $target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/`basename \`dirname $target\` | sed -e s:modello-::g`
  fi
done
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%if %{with_maven}
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr %{name}-site/target/site $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
%endif

%if %{gcj_support}
%{_bindir}/aot-compile-rpm
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

%post
%update_maven_depmap
%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%postun
%update_maven_depmap
%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%files
%defattr(-,root,root,-)
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/*
%attr(755,root,root) %{_bindir}/*
%{_mavendepmapfragdir}
%{_datadir}/maven2
%if %{gcj_support}
%attr(-,root,root) %dir %{_libdir}/gcj/%{name}
%attr(-,root,root) %{_libdir}/gcj/%{name}/core-*.jar.*
%attr(-,root,root) %{_libdir}/gcj/%{name}/maven-plugin-*.jar.*
%attr(-,root,root) %{_libdir}/gcj/%{name}/plugin-*.jar.*
%attr(-,root,root) %{_libdir}/gcj/%{name}/test-*.jar.*
%endif


%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%if %{with_maven}
%files manual
%defattr(-,root,root,-)
%doc %{_docdir}/%{name}-%{version}
%endif

%changelog
* Fri Aug 24 2007 Ralph Apel <r.apel at r-apel.de> - 0:1.0-0.a15.1jpp
- Upgrade to 1.0-alpha-15
- This release is patched to work with plexus-container-default = 1.0-alpha-8
- Add manual subpackage
- Optionally build as much as possible with ant

* Wed Mar 28 2007 Ralph Apel <r.apel at r-apel.de> - 0:1.0-0.a8.6jpp
- Rebuild with java-1.4.2

* Wed Mar 28 2007 Ralph Apel <r.apel at r-apel.de> - 0:1.0-0.a8.5jpp
- Optionally build without maven
- Fix jar in javadoc
- Fix aot files

* Fri Dec 01 2006 Deepak Bhole <dbhole@redhat.com> 1.0-0.a8.4jpp
- Added an obsoletes for older versions of the plugin

* Thu Oct 19 2006 Deepak Bhole <dbhole@redhat.com> 1.0-0.a8.3jpp
- Update for maven2 9jpp
- Merge maven-plugin subpackage into the main one

* Mon Sep 11 2006 Ralph Apel <r.apel at r-apel.de> - 0:1.0-0.a8.2jpp
- Add gcj_support option
- Add post/postun Requires for javadoc
- Don't omit maven-plugin upload

* Fri Jun 23 2006 Deepak Bhole <dbhole@redhat.com> - 0:1.0-0.a8.1jpp
- Upgrade to 1.0-alpha-8
- Remove ant build, add maven2 build

* Thu Jun 01 2006 Fernando Nasser <fnasser@redhat.com> - 0:1.0-0.a4.2jpp
- First JPP 1.7 build

* Mon Nov 07 2005 Ralph Apel <r.apel at r-apel.de> - 0:1.0-0.a4.1jpp
- First JPackage build

